Bug 24834 - Display report number after running
Summary: Display report number after running
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement with 1 vote (vote)
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-09 16:25 UTC by Michael Adamyk
Modified: 2020-11-04 12:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Some potential places to display report number (240.44 KB, image/png)
2020-03-09 16:25 UTC, Michael Adamyk
Details
Bug 24834: Display report number on editing or running a report (3.07 KB, patch)
2020-09-23 22:20 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24834: Display report number on editing or running a report (3.12 KB, patch)
2020-09-24 15:18 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24834: Display report number on editing or running a report (3.11 KB, patch)
2020-09-24 16:38 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Not displaying report number in page title (173.93 KB, image/jpeg)
2020-09-24 16:42 UTC, Michael Adamyk
Details
Bug 24834: (follow-up) Add report id to page titles (1.31 KB, patch)
2020-09-24 21:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24834: Display report number on editing or running a report (3.16 KB, patch)
2020-09-24 21:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24834: (follow-up) Add report id to page titles (1.36 KB, patch)
2020-09-24 21:53 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24834: Display report number on editing or running a report (3.17 KB, patch)
2020-09-24 21:55 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24834: (follow-up) Add report id to page titles (1.37 KB, patch)
2020-09-24 21:56 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24834: Display report number on editing or running a report (3.22 KB, patch)
2020-10-14 11:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24834: (follow-up) Add report id to page titles (1.42 KB, patch)
2020-10-14 11:47 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24834: (QA follow-up) Add missing filter (1.20 KB, patch)
2020-10-14 11:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24834: (follow-up) Improve breadcrumb (2.51 KB, patch)
2020-10-14 11:48 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24834: Display report number on editing or running a report (3.23 KB, patch)
2020-10-15 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24834: (follow-up) Add report id to page titles (1.43 KB, patch)
2020-10-15 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24834: (QA follow-up) Add missing filter (1.26 KB, patch)
2020-10-15 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24834: (follow-up) Improve breadcrumb (2.58 KB, patch)
2020-10-15 22:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adamyk 2020-03-09 16:25:43 UTC
Created attachment 100394 [details]
Some potential places to display report number

It would be helpful to have a report display its number next to the report name after running. Currently, this information can be taken from the URL but displaying it directly would be great.
Comment 1 Michael Adamyk 2020-03-09 16:26:55 UTC
This is my first bug submission, so please let me know if I haven't followed correct protocol.
Comment 2 Lisette Scheer 2020-03-11 16:07:23 UTC
This could be very helpful to show on printed reports. 
Lisette
Comment 3 Michael Adamyk 2020-06-23 14:36:53 UTC
It would also be helpful to display a report's number when you are editing it.
Comment 4 Katrin Fischer 2020-09-23 22:20:36 UTC
Created attachment 110634 [details] [review]
Bug 24834: Display report number on editing or running a report

The only place the report ID was shown when editing or running a
report was in the URL. With this patch, we also show it in the
heading, the breadcrumbs and the page title.

To test:
- Create a new SQL report.
- Save the report.
- Edit the report.
- Verify that the report id now shows in the breadcrumbs and page title.
- Run your report.
- Verify the report id shows in the page heading, title and breadcrumbs.
Comment 5 ByWater Sandboxes 2020-09-24 15:18:21 UTC
Created attachment 110669 [details] [review]
Bug 24834: Display report number on editing or running a report

The only place the report ID was shown when editing or running a
report was in the URL. With this patch, we also show it in the
heading, the breadcrumbs and the page title.

To test:
- Create a new SQL report.
- Save the report.
- Edit the report.
- Verify that the report id now shows in the breadcrumbs and page title.
- Run your report.
- Verify the report id shows in the page heading, title and breadcrumbs.

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 6 Lisette Scheer 2020-09-24 15:19:17 UTC
Everything worked great, the title in the tab is very long, so I had to bookmark it to confirm the title was correct. 
Lisette
Comment 7 Katrin Fischer 2020-09-24 15:31:11 UTC
(In reply to Lisette Scheer from comment #6)
> Everything worked great, the title in the tab is very long, so I had to
> bookmark it to confirm the title was correct. 
> Lisette

Ah, I think I was testing with a short one - hope it's still ok! - Thx Lisette!
Comment 8 ByWater Sandboxes 2020-09-24 16:38:49 UTC
Created attachment 110673 [details] [review]
Bug 24834: Display report number on editing or running a report

The only place the report ID was shown when editing or running a
report was in the URL. With this patch, we also show it in the
heading, the breadcrumbs and the page title.

To test:
- Create a new SQL report.
- Save the report.
- Edit the report.
- Verify that the report id now shows in the breadcrumbs and page title.
- Run your report.
- Verify the report id shows in the page heading, title and breadcrumbs.

Signed-off-by: Michael A <madamyk@ckls.org>
Comment 9 Michael Adamyk 2020-09-24 16:42:25 UTC
Created attachment 110674 [details]
Not displaying report number in page title

I was unable to see the report number in the page title, whether when hovering over the browser tab or adding a bookmark. Tested in Chrome, Firefox, and Safari.

The other locations look great! Thank you for working on this!
Comment 10 Michael Adamyk 2020-09-24 19:03:12 UTC
Lisette tested this as well on the stream, and didn't see the number displayed in the page title.
Comment 11 Katrin Fischer 2020-09-24 19:03:44 UTC
(In reply to madamyk from comment #10)
> Lisette tested this as well on the stream, and didn't see the number
> displayed in the page title.

I'll fix it, thx for testing!
Comment 12 Katrin Fischer 2020-09-24 21:37:25 UTC
Created attachment 110704 [details] [review]
Bug 24834: (follow-up) Add report id to page titles

See test plan of previous patch!
Comment 13 ByWater Sandboxes 2020-09-24 21:53:06 UTC
Created attachment 110706 [details] [review]
Bug 24834: Display report number on editing or running a report

The only place the report ID was shown when editing or running a
report was in the URL. With this patch, we also show it in the
heading, the breadcrumbs and the page title.

To test:
- Create a new SQL report.
- Save the report.
- Edit the report.
- Verify that the report id now shows in the breadcrumbs and page title.
- Run your report.
- Verify the report id shows in the page heading, title and breadcrumbs.

Signed-off-by: Michael A <madamyk@ckls.org>

Signed-off-by: Michael Adamyk <madamyk@ckls.org>
Comment 14 ByWater Sandboxes 2020-09-24 21:53:15 UTC
Created attachment 110707 [details] [review]
Bug 24834: (follow-up) Add report id to page titles

See test plan of previous patch!

Signed-off-by: Michael Adamyk <madamyk@ckls.org>
Comment 15 Michael Adamyk 2020-09-24 21:54:35 UTC
It's working for me, and displaying in all 3 locations now.
Comment 16 ByWater Sandboxes 2020-09-24 21:55:59 UTC
Created attachment 110708 [details] [review]
Bug 24834: Display report number on editing or running a report

The only place the report ID was shown when editing or running a
report was in the URL. With this patch, we also show it in the
heading, the breadcrumbs and the page title.

To test:
- Create a new SQL report.
- Save the report.
- Edit the report.
- Verify that the report id now shows in the breadcrumbs and page title.
- Run your report.
- Verify the report id shows in the page heading, title and breadcrumbs.

Signed-off-by: Michael A <madamyk@ckls.org>

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 17 ByWater Sandboxes 2020-09-24 21:56:02 UTC
Created attachment 110709 [details] [review]
Bug 24834: (follow-up) Add report id to page titles

See test plan of previous patch!

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 18 Martin Renvoize 2020-10-14 08:04:50 UTC
Hmm, there are some inconsistencies in the navigational changes here..

I wonder if it would be nicer/better to make them consistently follow

Home › Reports › Guided reports wizard › Saved reports › $report_name › Action

So..

* Home › Reports › Guided reports wizard › Saved reports › $report_name › View
* Home › Reports › Guided reports wizard › Saved reports › $report_name › Edit
* Home › Reports › Guided reports wizard › Saved reports › $report_name › Run

Just a thought whilst I'm QAing.

I'm also working through understanding the distinction between the 'name' and 'reportname' parameter that's passed to the template.
Comment 19 Martin Renvoize 2020-10-14 08:09:25 UTC
Also.. minor QA failure.. you forgot a filter on that followup Katrin ;)
Comment 20 Martin Renvoize 2020-10-14 08:15:55 UTC
In fact... for that nav change.. could we perhaps go with:

SQL View
* Home › Reports › Guided reports wizard › Saved reports › $report_name

SQL Edit
* Home › Reports › Guided reports wizard › Saved reports › $report_name › Edit
                                                                 ^
                                                       Linked back to SQL View

Run
* Home › Reports › Guided reports wizard › Saved reports › $report_name › Run
                                                                  ^
                                                       Linked back to SQL View
Comment 21 Martin Renvoize 2020-10-14 11:47:49 UTC
Created attachment 111602 [details] [review]
Bug 24834: Display report number on editing or running a report

The only place the report ID was shown when editing or running a
report was in the URL. With this patch, we also show it in the
heading, the breadcrumbs and the page title.

To test:
- Create a new SQL report.
- Save the report.
- Edit the report.
- Verify that the report id now shows in the breadcrumbs and page title.
- Run your report.
- Verify the report id shows in the page heading, title and breadcrumbs.

Signed-off-by: Michael A <madamyk@ckls.org>
Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 22 Martin Renvoize 2020-10-14 11:47:56 UTC
Created attachment 111603 [details] [review]
Bug 24834: (follow-up) Add report id to page titles

See test plan of previous patch!

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 23 Martin Renvoize 2020-10-14 11:48:09 UTC
Created attachment 111604 [details] [review]
Bug 24834: (QA follow-up) Add missing filter

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 24 Martin Renvoize 2020-10-14 11:48:17 UTC
Created attachment 111605 [details] [review]
Bug 24834: (follow-up) Improve breadcrumb

This patch updates the breadcrumb navigation to be consistent for View,
Edit and Run with the report name (and id in brackets) appropraitely
placed in the breadcrumb with a link back to the view and the 'Action'
clearly listed as the final part of the breadcrumb path.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 25 Martin Renvoize 2020-10-14 11:51:51 UTC
I've added a couple of follow-ups: One to squash the QA error and another to implement my proposed addition.

The breadcrumb and page titles are inconsistent with the final patch but I wanted some opinions on that.. should the title match the breadcrumb, or should we drop some of the path to highlight the information we're interested in?.. for me the title is soooo long that even with the tab hovered I can't see the actual report name or id in it.
Comment 26 Lisette Scheer 2020-10-14 15:23:26 UTC
> The breadcrumb and page titles are inconsistent with the final patch but I
> wanted some opinions on that.. should the title match the breadcrumb, or
> should we drop some of the path to highlight the information we're
> interested in?.. for me the title is soooo long that even with the tab
> hovered I can't see the actual report name or id in it.

I think dropping some of the path so we can highlight the information we want would be great for end users.
Comment 27 Katrin Fischer 2020-10-15 22:24:10 UTC
Created attachment 111806 [details] [review]
Bug 24834: Display report number on editing or running a report

The only place the report ID was shown when editing or running a
report was in the URL. With this patch, we also show it in the
heading, the breadcrumbs and the page title.

To test:
- Create a new SQL report.
- Save the report.
- Edit the report.
- Verify that the report id now shows in the breadcrumbs and page title.
- Run your report.
- Verify the report id shows in the page heading, title and breadcrumbs.

Signed-off-by: Michael A <madamyk@ckls.org>
Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 28 Katrin Fischer 2020-10-15 22:24:18 UTC
Created attachment 111807 [details] [review]
Bug 24834: (follow-up) Add report id to page titles

See test plan of previous patch!

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 29 Katrin Fischer 2020-10-15 22:24:25 UTC
Created attachment 111808 [details] [review]
Bug 24834: (QA follow-up) Add missing filter

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 30 Katrin Fischer 2020-10-15 22:24:30 UTC
Created attachment 111809 [details] [review]
Bug 24834: (follow-up) Improve breadcrumb

This patch updates the breadcrumb navigation to be consistent for View,
Edit and Run with the report name (and id in brackets) appropraitely
placed in the breadcrumb with a link back to the view and the 'Action'
clearly listed as the final part of the breadcrumb path.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 31 Martin Renvoize 2020-10-16 05:42:14 UTC
(In reply to Lisette Scheer from comment #26)
> > The breadcrumb and page titles are inconsistent with the final patch but I
> > wanted some opinions on that.. should the title match the breadcrumb, or
> > should we drop some of the path to highlight the information we're
> > interested in?.. for me the title is soooo long that even with the tab
> > hovered I can't see the actual report name or id in it.
> 
> I think dropping some of the path so we can highlight the information we
> want would be great for end users.

I'm going to open another bug for this as I think it deserves a wider conversation and consistent treatment throughout.
Comment 32 Martin Renvoize 2020-10-16 06:04:15 UTC
Bug 26703 for the title discussion
Comment 33 Jonathan Druart 2020-11-04 12:03:10 UTC
Pushed to master for 20.11, thanks to everybody involved!